import { VueCompiledResult } from "../type/compile";
export * from "./vue3.render";
export declare class Vue3 {
    constructor();
    static supportExtension: string[];
    /**
     * 编译vue3
     * 支持的文件为 vue js ts png jpg jpeg svg json woff woff2 ttf otf eot
     */
    static compile(files: Record<string, ArrayBuffer>, root: string): Record<string, import("../type/compile").CompiledResult | VueCompiledResult>;
    static render(compiledJSON: Record<string, VueCompiledResult>, root: string, modules?: Record<string, any>): any;
}
