import { Vue3 } from "../vue3";
import { Vue3Render } from "../vue3/vue3.render";
import { Vue3SFC } from '../libs/vue3.sfc';
import { Babel } from '../libs/babel';
import { sass } from '../libs/sass';
import { less } from '../libs/less';
import { minimatch } from '../libs/minimatch';
import { JS } from "../js";
import { JSRender } from "../js/js.render";
export * from '../vue3';
export * from '../js';
declare global {
    interface Window {
        FE: {
            Vue3SFC: typeof Vue3SFC;
            Babel: typeof Babel;
            sass: typeof sass;
            less: typeof less;
            minimatch: typeof minimatch;
            Vue3: typeof Vue3;
            Vue3Render: typeof Vue3Render;
            JS: typeof JS;
            JSRender: typeof JSRender;
        };
    }
}
